package net.parsell.cherry;

import net.fabricmc.api.ModInitializer;
import net.parsell.cherry.core.CherryBlocks;
import net.parsell.cherry.core.CherryFeatures;
import net.parsell.cherry.core.CherryItems;
import net.parsell.cherry.core.CherryRegistry;

public class Cherry implements ModInitializer {
	public static final String MODID = "cherry";

	@Override
	public void onInitialize() {
		// This code runs as soon as Minecraft is in a mod-load-ready state.
		// However, some things (like resources) may still be uninitialized.
		// Proceed with mild caution.

		System.out.println("Cherry Initilizating...");
		CherryRegistry.init();
		
		CherryBlocks.init();
		CherryItems.init();
		CherryFeatures.init();

		CherryRegistry.finish();
		System.out.println("Cherry setup successfully!");
	}
}
